## ansible-12.2.0-1.src.tar.zst

=== ansible_collections/netbox/netbox/docs/requirements.txt ===
ansible
antsibull==0.48.0
sphinx
Jinja2<3.2
sphinx_rtd_theme
