=== ansible_collections/hetzner/hcloud/tests/integration/requirements.txt ===
netaddr
cryptography

python-dateutil
requests
