=== debian/changelog ===
ansible (12.2.0-1) unstable; urgency=medium

  * Ansible 12.2.0 release

 -- Red Hat, Inc. <info@ansible.com>  Wed, 05 Nov 2025 13:13:36 +0000
